
import matplotlib.pyplot as plt

# ===================
# Part 2: Data Preparation
# ===================
labels = ["Apple", "Samsung", "Google", "Microsoft"]
sizes = [22, 30, 18, 30]
legend_labels = labels


legend_loc = "upper center"
legend_ncol = 4
legend_frameon = False
legend_bbox_to_anchor = (0.5, 1.05)

# ===================
# Part 3: Plot Configuration and Rendering
# ===================
fig, ax = plt.subplots(figsize=(5, 5))
ax.pie(sizes, autopct="%1.1f%%", startangle=90)
plt.legend(
    legend_labels, loc=legend_loc, ncol=legend_ncol, frameon=legend_frameon, bbox_to_anchor=legend_bbox_to_anchor
)

# ===================
# Part 4: Saving Output
# ===================
plt.tight_layout()
plt.savefig('pie_3.pdf', bbox_inches='tight')

